<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="habilidade">
      <h2 data-cy="habilidadeDetailsHeading"><span jhiTranslate="matrixApp.habilidade.detail.title">Habilidade</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="matrixApp.habilidade.id">Id</span></dt>
        <dd>
          <span>{{ habilidade.id }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.habilidade.descricao">Descricao</span></dt>
        <dd>
          <span>{{ habilidade.descricao }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.habilidade.competencia">Competencia</span></dt>
        <dd>
          <div *ngIf="habilidade.competencia">
            <a [routerLink]="['/competencia', habilidade.competencia.id, 'view']">{{ habilidade.competencia.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="matrixApp.habilidade.bloom">Bloom</span></dt>
        <dd>
          <div *ngIf="habilidade.bloom">
            <a [routerLink]="['/bloom', habilidade.bloom.id, 'view']">{{ habilidade.bloom.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Voltar</span>
      </button>

      <button type="button" [routerLink]="['/habilidade', habilidade.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editar</span>
      </button>
    </div>
  </div>
</div>
